VORBISCOMMENT(1)

BEZEICHNUNG
vorbiscomment - Kommentare in Ogg-Vorbis-Dateien auflisten oder bearbeiten

ÜBERSICHT
vorbiscomment [-l] [-R] [-e] Datei.ogg
vorbiscomment -a [ -c Kommentardatei | -t “name=Wert” ] [-q] [-R] [-e] ein.ogg [aus.ogg]
vorbiscomment -w [ -c Kommentardatei | -t “name=Wert” ] [-q] [-R] [-e] ein.ogg [aus.ogg]

BESCHREIBUNG
vorbiscomment liest und bearbeitet Metadaten-Tags von Ogg-Vorbis-Audiodateien oder hängt diese an bestehende Kommentare an.

OPTIONEN

-a, --append
    Kommentare anhängen.

-c Datei, --commentfile Datei
    Take comments from a file. The file is the same format as is output by the the -l option or given to the -t option: one element per line in 'tag=value' format. If the file is /dev/null and -w was passed, the existing comments will be removed.

-h, --help
    Hilfe zur Befehlszeile anzeigen.

-l, --list
    Die Kommentare in der Ogg-Vorbis-Datei auflisten.

-q, --quiet
    Quiet mode. No messages are displayed.

-t 'name=Wert', --tag 'name=Wert'
    Einen neuen Tag in der Befehlszeile übergeben. Jeder Tag wird als einzelne Zeichenkette angegeben. Der Teil vor dem »=« wird als der Name des Tags interpretiert und der Teil danach als dessen Wert.

-w, --write
    Kommentare mit dem neuen, entweder in der Befehlszeile mit -t oder aus einer Datei mit -c übergebenen Kommentarsatz ersetzen. Falls weder -c noch -t angegeben werden, wird der neue Satz aus der Standardeingabe gelesen.

-R, --raw
    Kommentare in UTF-8 schreiben und lesen, statt diese in die für den Benutzer festgelegte Zeichenkodierung umzuwandeln.

-e, --escapes
    Zeilenumbrüche und Backslashes in den Kommentaren maskieren oder demaskieren. Dies stellt sicher, dass jeder Kommentar exakt einer Zeile in der Ausgabe (oder Eingabe) entspricht, was Filtern und Durchsuchen ermöglicht. Ohne dies können Sie mehrzeilige Kommentare nur mit der Option -t schreiben, wobei diese dann nicht ohne Weiteres von mehreren einzeiligen Kommentaren zu unterscheiden wären.

    Die im C-Stil unterstützten Escape-Sequenzen sind »\n«, »\r«, »\\« und »\0«. Ein Backslash gefolgt von irgendetwas anderem wird als Fehler aufgefasst.

    Hinweis: Gegenwärtig wird alles nach dem ersten »\0« beim Schreiben verworfen. Das ist ein Fehler, das Vorbis-Format kann Null-Zeichen sicher speichern, aber die meisten anderen Werkzeuge können dies nicht verarbeiten.

-V, --version
    Die Version von vorbiscomment anzeigen.

BEISPIELE

Sehen, welche Kommentartags in einer Datei enthalten sind:

    vorbiscomment -l Datei.ogg

Bearbeiten dieser Kommentare:

    vorbiscomment -l Datei.ogg > Datei.txt
    [Kommentare in Datei.txt wie gewünscht bearbeiten]
    vorbiscomment -w -c Datei.txt Datei.ogg Neue_Datei.ogg

Hinzufügen eines Kommentars:

    vorbiscomment -a -t 'ARTIST=Unbekannt' Datei.ogg Neue_Datei.ogg

Setzen von Kommentaren aus der Standardeingabe:

    vorbiscomment -a Datei.ogg
    ARTIST=Unbekannt
    ALBUM=Hervorragendes Album
    <Strg-d>

TAG-FORMAT

See http://www.xiph.org/vorbis/doc/v-comment.html for documentation on the Ogg Vorbis tag format, including a suggested list of canonical tag names.

AUTOREN

Programmautoren:
    Michael Smith <msmith@xiph.org>
    Ralph Giles <giles@xiph.org>

Autor der Handbuchseite:
    Christopher L Cheney <ccheney@debian.org>

SIEHE AUCH

oggenc(1), oggdec(1), ogg123(1), ogginfo(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.